View Issue Details

IDProjectCategoryView StatusLast Update
0014475LazarusLazReportpublic2011-12-01 11:25
ReporterChristianAssigned ToJesus Reyes 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0014475: Lazreport dont support DB Images
DescriptionLazreport should support to show an Image from an DBField saved with TDBImage
Tagslazreport
Fixed in Revision28410
LazTarget0.9.30
WidgetsetGTK, GTK 2, Win32/Win64, WinCE, Carbon, QT, fpGUI
Attached Files

Activities

Jesus Reyes

2009-10-08 19:12

developer   ~0031205

It works here, please explain how do you setup the image lazreport object.

Christian

2009-10-11 21:01

reporter   ~0031261

Thats the next problem, how can you enter an Field ?
I have used the object inspector to add the db field to the memo.
[Table.ImageBlobFieldName]

Jesus Reyes

2009-11-04 21:31

developer   ~0031894

That is one method, the other one is through using image object editor, there should be a "text" button, clicking this brings to front the memo editor where one can use the "db field" button to select a field.

Christian

2009-11-07 04:48

reporter   ~0031964

Its an Bug.
Ive found out that its only happend with 2-pass reports.
In all other reports DB Images seems to work.

Issue History

Date Modified Username Field Change
2009-09-01 20:39 Christian New Issue
2009-09-01 20:39 Christian Widgetset => GTK, GTK 2, Win32/Win64, WinCE, Carbon, QT, fpGUI
2009-09-01 21:18 Jesus Reyes Status new => assigned
2009-09-01 21:18 Jesus Reyes Assigned To => Jesus Reyes
2009-10-08 19:12 Jesus Reyes LazTarget => -
2009-10-08 19:12 Jesus Reyes Note Added: 0031205
2009-10-08 19:12 Jesus Reyes Status assigned => feedback
2009-10-11 21:01 Christian Note Added: 0031261
2009-11-04 21:31 Jesus Reyes Note Added: 0031894
2009-11-04 21:33 Jesus Reyes LazTarget - => 0.9.30
2009-11-04 21:33 Jesus Reyes Status feedback => resolved
2009-11-04 21:33 Jesus Reyes Resolution open => no change required
2009-11-04 21:33 Jesus Reyes Target Version => 0.9.30
2009-11-07 04:48 Christian Status resolved => assigned
2009-11-07 04:48 Christian Resolution no change required => reopened
2009-11-07 04:48 Christian Note Added: 0031964
2010-03-15 02:58 Jesus Reyes Tag Attached: lazreport
2010-11-22 17:02 Jesus Reyes Fixed in Revision => 28410
2010-11-22 17:02 Jesus Reyes Status assigned => resolved
2010-11-22 17:02 Jesus Reyes Fixed in Version => 0.9.29 (SVN)
2010-11-22 17:02 Jesus Reyes Resolution reopened => fixed
2011-12-01 11:25 Marc Weustink Status resolved => closed